Page({

  /**
   * 页面的初始数据
   */
  data: {
    pagenum: 0,
    pagesize: 20,
    finished: false, // 所有数据是否加载完
    isRefresh: false, // 是否下拉刷新
    isFetchLock: false, // 接口调用加锁
    list: [1],
    booLock: false,
    nav: [
      {
        name: '全部',
        value: '1'
      },
      {
        name: '消息',
        value: '2'
      }
    ],
    active: '1'
  },
  freshing: false,

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  handleNav(e) {
    const { value } = e.detail

    this.setData({
      active: value
    })
  }
})
